local ck = require("resty.cookie")
local pl_path = require("pl.path")

local request_method = ngx.var.request_method
if request_method ~= "GET" then
    return ngx.exit(ngx.HTTP_NOT_ALLOWED)
end

local cookie = ck:new()
if cookie == nil then
    return ngx.exit(ngx.HTTP_INTERNAL_SERVER_ERROR)
end
local token = cookie:get("loginToken")
if not token then
    return ngx.redirect('/login');
end

local template_root = string.format("%s/drivers/%s/homepage", ngx.var.drivers_prefix, ngx.var[1])
if not pl_path.exists(string.format("%s/index.html", template_root)) then
    return ngx.exit(ngx.HTTP_NOT_FOUND)
end

local template = require "resty.template".new({
    root = template_root,
})
template.render("index.html")
ngx.exit(ngx.HTTP_OK)