local json = require("json")
local utils = require("utils")
local const = require("const")
local pl_string = require("pl.stringx")

utils.check_login()

local request_method = ngx.var.request_method
if request_method ~= "GET" then
    return utils.error_exit(405, "unsupported request method: " .. request_method)
end

local ok, user_msg = utils.get_data_2(const.data_key.eweb.user)
if not ok then
    if pl_string.startswith(user_msg, "key does not exit") then
        return utils.error_exit(200, '{"State": "New"}')
    end
    return utils.error_exit(500, user_msg)
end

local ok, users = pcall(json.decode, user_msg)
if not ok then
    return utils.error_exit(500, "User list is broken")
end
if users["UserList"] == nil or users["UserList"]["admin"] == nil then
    return utils.error_exit(200, '{"State": "New"}')
end

local ok, product, device, secret = utils.get_gw_config_2()
if not ok then
    if pl_string.startswith(product, "key does not exit") then
        return utils.error_exit(200, '{"State": "New"}')
    end
    return utils.error_exit(500, product)
end

utils.error_exit(200, '{"State": "Configured"}')